Bug 1766365 - TestNamespaceCondition integration test fails
Summary: TestNamespaceCondition integration test fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.2.z
Assignee: Stefan Schimanski
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-28 20:40 UTC by Lukasz Szaszkiewicz
Modified: 2019-11-19 13:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-19 13:49:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 23910 0 'None' 'closed' 'Bug 1766365: TestNamespaceCondition integration test fails' 2019-11-15 19:34:19 UTC
Red Hat Product Errata RHBA-2019:3869 0 None None None 2019-11-19 13:49:12 UTC

Description Lukasz Szaszkiewicz 2019-10-28 20:40:55 UTC
This https://github.com/openshift/origin/pull/23910 pull fixes that failing test. Note that the test is not run in CI and has to be run manually.

Comment 4 Xingxing Xia 2019-11-08 11:24:27 UTC
Hmm, this seems only change in test code, not change in functional code. Does this require we test [1]? And does it need be published in above errata advisory? If no, that is fine and can save time trying it  while having other testings. : ) Thanks
[1] Currently I met problems in below trying:
git checkout -b release-4.2 upstream/release-4.2
cd  vendor/k8s.io/kubernetes/test/integration/namespace/
go test

Comment 5 Lukasz Szaszkiewicz 2019-11-08 12:29:00 UTC
@Xingxing correct, my PR changed only the integration test. I noticed it was broken.

Comment 8 errata-xmlrpc 2019-11-19 13:49:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3869


Note You need to log in before you can comment on or make changes to this bug.